package com.kingdee.eas.custom.certification;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.certification.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class AutoGenCertification extends AbstractBizCtrl implements IAutoGenCertification
{
    public AutoGenCertification()
    {
        super();
        registerInterface(IAutoGenCertification.class, this);
    }
    public AutoGenCertification(Context ctx)
    {
        super(ctx);
        registerInterface(IAutoGenCertification.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("3ACD59E5");
    }
    private AutoGenCertificationController getController() throws BOSException
    {
        return (AutoGenCertificationController)getBizController();
    }
    /**
     *ְԶ֤-User defined method
     *@param curDate ָ
     *@param offSet 0Ϊ; -n: ǰ-n ʱ䷶Χ; n: nʱ䷶Χ;
     *@param auditType 0,ύ; 1,ֱͨ
     */
    public void autoGenToResign(String curDate, int offSet, int auditType) throws BOSException, EASBizException
    {
        try {
            getController().autoGenToResign(getContext(), curDate, offSet, auditType);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *֤ԶϢ-User defined method
     *@param curDate ǰʱ
     *@param offSet 0Ϊ; -n: ǰ-n ʱ䷶Χ; n: nʱ䷶Χ;
     */
    public void autoSendMsgByCert(String curDate, int offSet) throws BOSException, EASBizException
    {
        try {
            getController().autoSendMsgByCert(getContext(), curDate, offSet);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *Զ-User defined method
     *@param curDate ǰ
     *@param offSet 0Ϊ; -n: ǰ-n ʱ䷶Χ; n: nʱ䷶Χ;
     */
    public void autoStamp(String curDate, int offSet) throws BOSException, EASBizException
    {
        try {
            getController().autoStamp(getContext(), curDate, offSet);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}