/**
 * output package name
 */
package com.kingdee.eas.custom.logs.client;

import org.apache.log4j.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.border.*;
import javax.swing.BorderFactory;
import javax.swing.event.*;
import javax.swing.KeyStroke;

import com.kingdee.bos.ctrl.swing.*;
import com.kingdee.bos.ctrl.kdf.table.*;
import com.kingdee.bos.ctrl.kdf.data.event.*;
import com.kingdee.bos.dao.*;
import com.kingdee.bos.dao.query.*;
import com.kingdee.bos.metadata.*;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.ui.face.*;
import com.kingdee.bos.ui.util.ResourceBundleHelper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.util.enums.EnumUtils;
import com.kingdee.bos.ui.face.UIRuleUtil;
import com.kingdee.bos.ctrl.swing.event.*;
import com.kingdee.bos.ctrl.kdf.table.event.*;
import com.kingdee.bos.ctrl.extendcontrols.*;
import com.kingdee.bos.ctrl.kdf.util.render.*;
import com.kingdee.bos.ui.face.IItemAction;
import com.kingdee.eas.framework.batchHandler.RequestContext;
import com.kingdee.bos.ui.util.IUIActionPostman;
import com.kingdee.bos.appframework.client.servicebinding.ActionProxyFactory;
import com.kingdee.bos.appframework.uistatemanage.ActionStateConst;
import com.kingdee.bos.appframework.validator.ValidateHelper;
import com.kingdee.bos.appframework.uip.UINavigator;


/**
 * output class name
 */
public abstract class AbstractMessageLogsEditUI extends com.kingdee.eas.framework.client.CoreBillEditUI
{
    private static final Logger logger = CoreUIObject.getLogger(AbstractMessageLogsEditUI.class);
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreator;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contNumber;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contBizDate;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contDescription;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contAuditor;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conttime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contcount;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsuccessNum;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contfailNum;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contperson;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contreserved1;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contreserved2;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contstatus;
    protected com.kingdee.bos.ctrl.swing.KDCheckBox chkisVaild;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conturldir;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contrequestParams;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contresult;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contfileName;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conturlPath;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contbillNo;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contnCell;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtCreator;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker kDDateCreateTime;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker kDDateLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtNumber;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkBizDate;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtDescription;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtAuditor;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pktime;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtcount;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtsuccessNum;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtfailNum;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtperson;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtreserved1;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtreserved2;
    protected com.kingdee.bos.ctrl.swing.KDComboBox status;
    protected com.kingdee.bos.ctrl.swing.KDTextField txturldir;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPanerequestParams;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtrequestParams;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPaneresult;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtresult;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPanefileName;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtfileName;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPaneurlPath;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txturlPath;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtbillNo;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtnCell;
    protected com.kingdee.eas.custom.logs.MessageLogsInfo editData = null;
    /**
     * output class constructor
     */
    public AbstractMessageLogsEditUI() throws Exception
    {
        super();
        this.defaultObjectName = "editData";
        jbInit();
        
        initUIP();
    }

    /**
     * output jbInit method
     */
    private void jbInit() throws Exception
    {
        this.resHelper = new ResourceBundleHelper(AbstractMessageLogsEditUI.class.getName());
        this.setUITitle(resHelper.getString("this.title"));
        //actionSubmit
        String _tempStr = null;
        actionSubmit.setEnabled(true);
        actionSubmit.setDaemonRun(false);

        actionSubmit.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl S"));
        _tempStr = resHelper.getString("ActionSubmit.SHORT_DESCRIPTION");
        actionSubmit.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.LONG_DESCRIPTION");
        actionSubmit.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.NAME");
        actionSubmit.putValue(ItemAction.NAME, _tempStr);
        this.actionSubmit.setBindWorkFlow(true);
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        //actionPrint
        actionPrint.setEnabled(true);
        actionPrint.setDaemonRun(false);

        actionPrint.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl P"));
        _tempStr = resHelper.getString("ActionPrint.SHORT_DESCRIPTION");
        actionPrint.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrint.LONG_DESCRIPTION");
        actionPrint.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrint.NAME");
        actionPrint.putValue(ItemAction.NAME, _tempStr);
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        //actionPrintPreview
        actionPrintPreview.setEnabled(true);
        actionPrintPreview.setDaemonRun(false);

        actionPrintPreview.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("shift ctrl P"));
        _tempStr = resHelper.getString("ActionPrintPreview.SHORT_DESCRIPTION");
        actionPrintPreview.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrintPreview.LONG_DESCRIPTION");
        actionPrintPreview.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrintPreview.NAME");
        actionPrintPreview.putValue(ItemAction.NAME, _tempStr);
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        this.contCreator = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contCreateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateUser = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contNumber = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contBizDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contDescription = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contAuditor = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.conttime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contcount = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsuccessNum = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contfailNum = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contperson = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contreserved1 = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contreserved2 = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contstatus = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.chkisVaild = new com.kingdee.bos.ctrl.swing.KDCheckBox();
        this.conturldir = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contrequestParams = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contresult = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contfileName = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.conturlPath = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contbillNo = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contnCell = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.prmtCreator = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.kDDateCreateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtLastUpdateUser = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.kDDateLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtNumber = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.pkBizDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtDescription = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.prmtAuditor = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.pktime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtcount = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtsuccessNum = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtfailNum = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.prmtperson = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.txtreserved1 = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtreserved2 = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.status = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.txturldir = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.scrollPanerequestParams = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtrequestParams = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.scrollPaneresult = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtresult = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.scrollPanefileName = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtfileName = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.scrollPaneurlPath = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txturlPath = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.txtbillNo = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtnCell = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.contCreator.setName("contCreator");
        this.contCreateTime.setName("contCreateTime");
        this.contLastUpdateUser.setName("contLastUpdateUser");
        this.contLastUpdateTime.setName("contLastUpdateTime");
        this.contNumber.setName("contNumber");
        this.contBizDate.setName("contBizDate");
        this.contDescription.setName("contDescription");
        this.contAuditor.setName("contAuditor");
        this.conttime.setName("conttime");
        this.contcount.setName("contcount");
        this.contsuccessNum.setName("contsuccessNum");
        this.contfailNum.setName("contfailNum");
        this.contperson.setName("contperson");
        this.contreserved1.setName("contreserved1");
        this.contreserved2.setName("contreserved2");
        this.contstatus.setName("contstatus");
        this.chkisVaild.setName("chkisVaild");
        this.conturldir.setName("conturldir");
        this.contrequestParams.setName("contrequestParams");
        this.contresult.setName("contresult");
        this.contfileName.setName("contfileName");
        this.conturlPath.setName("conturlPath");
        this.contbillNo.setName("contbillNo");
        this.contnCell.setName("contnCell");
        this.prmtCreator.setName("prmtCreator");
        this.kDDateCreateTime.setName("kDDateCreateTime");
        this.prmtLastUpdateUser.setName("prmtLastUpdateUser");
        this.kDDateLastUpdateTime.setName("kDDateLastUpdateTime");
        this.txtNumber.setName("txtNumber");
        this.pkBizDate.setName("pkBizDate");
        this.txtDescription.setName("txtDescription");
        this.prmtAuditor.setName("prmtAuditor");
        this.pktime.setName("pktime");
        this.txtcount.setName("txtcount");
        this.txtsuccessNum.setName("txtsuccessNum");
        this.txtfailNum.setName("txtfailNum");
        this.prmtperson.setName("prmtperson");
        this.txtreserved1.setName("txtreserved1");
        this.txtreserved2.setName("txtreserved2");
        this.status.setName("status");
        this.txturldir.setName("txturldir");
        this.scrollPanerequestParams.setName("scrollPanerequestParams");
        this.txtrequestParams.setName("txtrequestParams");
        this.scrollPaneresult.setName("scrollPaneresult");
        this.txtresult.setName("txtresult");
        this.scrollPanefileName.setName("scrollPanefileName");
        this.txtfileName.setName("txtfileName");
        this.scrollPaneurlPath.setName("scrollPaneurlPath");
        this.txturlPath.setName("txturlPath");
        this.txtbillNo.setName("txtbillNo");
        this.txtnCell.setName("txtnCell");
        // CoreUI		
        this.btnTraceUp.setVisible(false);		
        this.btnTraceDown.setVisible(false);		
        this.btnCreateTo.setVisible(true);		
        this.btnAddLine.setVisible(false);		
        this.btnCopyLine.setVisible(false);		
        this.btnInsertLine.setVisible(false);		
        this.btnRemoveLine.setVisible(false);		
        this.btnAuditResult.setVisible(false);		
        this.separator1.setVisible(false);		
        this.menuItemCreateTo.setVisible(true);		
        this.separator3.setVisible(false);		
        this.menuItemTraceUp.setVisible(false);		
        this.menuItemTraceDown.setVisible(false);		
        this.menuTable1.setVisible(false);		
        this.menuItemAddLine.setVisible(false);		
        this.menuItemCopyLine.setVisible(false);		
        this.menuItemInsertLine.setVisible(false);		
        this.menuItemRemoveLine.setVisible(false);		
        this.menuItemViewSubmitProccess.setVisible(false);		
        this.menuItemViewDoProccess.setVisible(false);		
        this.menuItemAuditResult.setVisible(false);
        // contCreator		
        this.contCreator.setBoundLabelText(resHelper.getString("contCreator.boundLabelText"));		
        this.contCreator.setBoundLabelLength(100);		
        this.contCreator.setBoundLabelUnderline(true);		
        this.contCreator.setEnabled(false);
        // contCreateTime		
        this.contCreateTime.setBoundLabelText(resHelper.getString("contCreateTime.boundLabelText"));		
        this.contCreateTime.setBoundLabelLength(100);		
        this.contCreateTime.setBoundLabelUnderline(true);		
        this.contCreateTime.setEnabled(false);
        // contLastUpdateUser		
        this.contLastUpdateUser.setBoundLabelText(resHelper.getString("contLastUpdateUser.boundLabelText"));		
        this.contLastUpdateUser.setBoundLabelLength(100);		
        this.contLastUpdateUser.setBoundLabelUnderline(true);		
        this.contLastUpdateUser.setEnabled(false);		
        this.contLastUpdateUser.setVisible(false);
        // contLastUpdateTime		
        this.contLastUpdateTime.setBoundLabelText(resHelper.getString("contLastUpdateTime.boundLabelText"));		
        this.contLastUpdateTime.setBoundLabelLength(100);		
        this.contLastUpdateTime.setBoundLabelUnderline(true);		
        this.contLastUpdateTime.setEnabled(false);		
        this.contLastUpdateTime.setVisible(false);
        // contNumber		
        this.contNumber.setBoundLabelText(resHelper.getString("contNumber.boundLabelText"));		
        this.contNumber.setBoundLabelLength(100);		
        this.contNumber.setBoundLabelUnderline(true);
        // contBizDate		
        this.contBizDate.setBoundLabelText(resHelper.getString("contBizDate.boundLabelText"));		
        this.contBizDate.setBoundLabelLength(100);		
        this.contBizDate.setBoundLabelUnderline(true);		
        this.contBizDate.setBoundLabelAlignment(7);		
        this.contBizDate.setVisible(true);
        // contDescription		
        this.contDescription.setBoundLabelText(resHelper.getString("contDescription.boundLabelText"));		
        this.contDescription.setBoundLabelLength(100);		
        this.contDescription.setBoundLabelUnderline(true);
        // contAuditor		
        this.contAuditor.setBoundLabelText(resHelper.getString("contAuditor.boundLabelText"));		
        this.contAuditor.setBoundLabelLength(100);		
        this.contAuditor.setBoundLabelUnderline(true);
        // conttime		
        this.conttime.setBoundLabelText(resHelper.getString("conttime.boundLabelText"));		
        this.conttime.setBoundLabelLength(100);		
        this.conttime.setBoundLabelUnderline(true);		
        this.conttime.setVisible(true);
        // contcount		
        this.contcount.setBoundLabelText(resHelper.getString("contcount.boundLabelText"));		
        this.contcount.setBoundLabelLength(100);		
        this.contcount.setBoundLabelUnderline(true);		
        this.contcount.setVisible(true);
        // contsuccessNum		
        this.contsuccessNum.setBoundLabelText(resHelper.getString("contsuccessNum.boundLabelText"));		
        this.contsuccessNum.setBoundLabelLength(100);		
        this.contsuccessNum.setBoundLabelUnderline(true);		
        this.contsuccessNum.setVisible(true);
        // contfailNum		
        this.contfailNum.setBoundLabelText(resHelper.getString("contfailNum.boundLabelText"));		
        this.contfailNum.setBoundLabelLength(100);		
        this.contfailNum.setBoundLabelUnderline(true);		
        this.contfailNum.setVisible(true);
        // contperson		
        this.contperson.setBoundLabelText(resHelper.getString("contperson.boundLabelText"));		
        this.contperson.setBoundLabelLength(100);		
        this.contperson.setBoundLabelUnderline(true);		
        this.contperson.setVisible(true);
        // contreserved1		
        this.contreserved1.setBoundLabelText(resHelper.getString("contreserved1.boundLabelText"));		
        this.contreserved1.setBoundLabelLength(100);		
        this.contreserved1.setBoundLabelUnderline(true);		
        this.contreserved1.setVisible(true);
        // contreserved2		
        this.contreserved2.setBoundLabelText(resHelper.getString("contreserved2.boundLabelText"));		
        this.contreserved2.setBoundLabelLength(100);		
        this.contreserved2.setBoundLabelUnderline(true);		
        this.contreserved2.setVisible(true);
        // contstatus		
        this.contstatus.setBoundLabelText(resHelper.getString("contstatus.boundLabelText"));		
        this.contstatus.setBoundLabelLength(100);		
        this.contstatus.setBoundLabelUnderline(true);		
        this.contstatus.setVisible(true);
        // chkisVaild		
        this.chkisVaild.setText(resHelper.getString("chkisVaild.text"));		
        this.chkisVaild.setVisible(true);		
        this.chkisVaild.setHorizontalAlignment(2);
        // conturldir		
        this.conturldir.setBoundLabelText(resHelper.getString("conturldir.boundLabelText"));		
        this.conturldir.setBoundLabelLength(100);		
        this.conturldir.setBoundLabelUnderline(true);		
        this.conturldir.setVisible(true);
        // contrequestParams		
        this.contrequestParams.setBoundLabelText(resHelper.getString("contrequestParams.boundLabelText"));		
        this.contrequestParams.setBoundLabelLength(100);		
        this.contrequestParams.setBoundLabelUnderline(true);		
        this.contrequestParams.setVisible(true);
        // contresult		
        this.contresult.setBoundLabelText(resHelper.getString("contresult.boundLabelText"));		
        this.contresult.setBoundLabelLength(100);		
        this.contresult.setBoundLabelUnderline(true);		
        this.contresult.setVisible(true);
        // contfileName		
        this.contfileName.setBoundLabelText(resHelper.getString("contfileName.boundLabelText"));		
        this.contfileName.setBoundLabelLength(100);		
        this.contfileName.setBoundLabelUnderline(true);		
        this.contfileName.setVisible(true);
        // conturlPath		
        this.conturlPath.setBoundLabelText(resHelper.getString("conturlPath.boundLabelText"));		
        this.conturlPath.setBoundLabelLength(100);		
        this.conturlPath.setBoundLabelUnderline(true);		
        this.conturlPath.setVisible(true);
        // contbillNo		
        this.contbillNo.setBoundLabelText(resHelper.getString("contbillNo.boundLabelText"));		
        this.contbillNo.setBoundLabelLength(100);		
        this.contbillNo.setBoundLabelUnderline(true);		
        this.contbillNo.setVisible(true);
        // contnCell		
        this.contnCell.setBoundLabelText(resHelper.getString("contnCell.boundLabelText"));		
        this.contnCell.setBoundLabelLength(100);		
        this.contnCell.setBoundLabelUnderline(true);		
        this.contnCell.setVisible(true);
        // prmtCreator		
        this.prmtCreator.setEnabled(false);
        // kDDateCreateTime		
        this.kDDateCreateTime.setTimeEnabled(true);		
        this.kDDateCreateTime.setEnabled(false);
        // prmtLastUpdateUser		
        this.prmtLastUpdateUser.setEnabled(false);
        // kDDateLastUpdateTime		
        this.kDDateLastUpdateTime.setTimeEnabled(true);		
        this.kDDateLastUpdateTime.setEnabled(false);
        // txtNumber		
        this.txtNumber.setMaxLength(80);
        // pkBizDate		
        this.pkBizDate.setVisible(true);		
        this.pkBizDate.setEnabled(true);
        // txtDescription		
        this.txtDescription.setMaxLength(80);
        // prmtAuditor		
        this.prmtAuditor.setEnabled(false);
        // pktime		
        this.pktime.setVisible(true);		
        this.pktime.setRequired(false);
        // txtcount		
        this.txtcount.setVisible(true);		
        this.txtcount.setHorizontalAlignment(2);		
        this.txtcount.setDataType(0);		
        this.txtcount.setSupportedEmpty(true);		
        this.txtcount.setRequired(false);
        // txtsuccessNum		
        this.txtsuccessNum.setVisible(true);		
        this.txtsuccessNum.setHorizontalAlignment(2);		
        this.txtsuccessNum.setDataType(0);		
        this.txtsuccessNum.setSupportedEmpty(true);		
        this.txtsuccessNum.setRequired(false);
        // txtfailNum		
        this.txtfailNum.setVisible(true);		
        this.txtfailNum.setHorizontalAlignment(2);		
        this.txtfailNum.setDataType(0);		
        this.txtfailNum.setSupportedEmpty(true);		
        this.txtfailNum.setRequired(false);
        // prmtperson		
        this.prmtperson.setQueryInfo("com.kingdee.eas.basedata.person.app.PersonFilterQuery");		
        this.prmtperson.setVisible(true);		
        this.prmtperson.setEditable(true);		
        this.prmtperson.setDisplayFormat("$name$");		
        this.prmtperson.setEditFormat("$number$");		
        this.prmtperson.setCommitFormat("$number$");		
        this.prmtperson.setRequired(false);
        // txtreserved1		
        this.txtreserved1.setVisible(true);		
        this.txtreserved1.setHorizontalAlignment(2);		
        this.txtreserved1.setMaxLength(100);		
        this.txtreserved1.setRequired(false);
        // txtreserved2		
        this.txtreserved2.setVisible(true);		
        this.txtreserved2.setHorizontalAlignment(2);		
        this.txtreserved2.setMaxLength(100);		
        this.txtreserved2.setRequired(false);
        // status		
        this.status.setVisible(true);		
        this.status.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.logs.app.SendStatusEnum").toArray());		
        this.status.setRequired(false);
        // txturldir		
        this.txturldir.setVisible(true);		
        this.txturldir.setHorizontalAlignment(2);		
        this.txturldir.setMaxLength(100);		
        this.txturldir.setRequired(false);
        // scrollPanerequestParams
        // txtrequestParams		
        this.txtrequestParams.setVisible(true);		
        this.txtrequestParams.setRequired(false);		
        this.txtrequestParams.setMaxLength(2000);
        // scrollPaneresult
        // txtresult		
        this.txtresult.setVisible(true);		
        this.txtresult.setRequired(false);		
        this.txtresult.setMaxLength(2000);
        // scrollPanefileName
        // txtfileName		
        this.txtfileName.setVisible(true);		
        this.txtfileName.setRequired(false);		
        this.txtfileName.setMaxLength(1000);
        // scrollPaneurlPath
        // txturlPath		
        this.txturlPath.setVisible(true);		
        this.txturlPath.setRequired(false);		
        this.txturlPath.setMaxLength(1200);
        // txtbillNo		
        this.txtbillNo.setVisible(true);		
        this.txtbillNo.setHorizontalAlignment(2);		
        this.txtbillNo.setMaxLength(100);		
        this.txtbillNo.setRequired(false);
        // txtnCell		
        this.txtnCell.setVisible(true);		
        this.txtnCell.setHorizontalAlignment(2);		
        this.txtnCell.setMaxLength(50);		
        this.txtnCell.setRequired(false);
        this.setFocusTraversalPolicy(new com.kingdee.bos.ui.UIFocusTraversalPolicy(new java.awt.Component[] {pktime,txtcount,txtsuccessNum,txtfailNum,prmtperson,txtreserved1,txtreserved2,status,chkisVaild,txturldir,kDDateLastUpdateTime,prmtLastUpdateUser,kDDateCreateTime,prmtCreator,prmtAuditor,txtDescription,pkBizDate,txtNumber,txtrequestParams,txtresult,txtfileName,txturlPath,txtbillNo,txtnCell}));
        this.setFocusCycleRoot(true);
		//Register control's property binding
		registerBindings();
		registerUIState();


    }

	public com.kingdee.bos.ctrl.swing.KDToolBar[] getUIMultiToolBar(){
		java.util.List list = new java.util.ArrayList();
		com.kingdee.bos.ctrl.swing.KDToolBar[] bars = super.getUIMultiToolBar();
		if (bars != null) {
			list.addAll(java.util.Arrays.asList(bars));
		}
		return (com.kingdee.bos.ctrl.swing.KDToolBar[])list.toArray(new com.kingdee.bos.ctrl.swing.KDToolBar[list.size()]);
	}




    /**
     * output initUIContentLayout method
     */
    public void initUIContentLayout()
    {
        this.setBounds(new Rectangle(0, 0, 1013, 629));
        this.setLayout(null);
        contCreator.setBounds(new Rectangle(440, 524, 270, 19));
        this.add(contCreator, null);
        contCreateTime.setBounds(new Rectangle(730, 524, 270, 19));
        this.add(contCreateTime, null);
        contLastUpdateUser.setBounds(new Rectangle(440, 555, 270, 19));
        this.add(contLastUpdateUser, null);
        contLastUpdateTime.setBounds(new Rectangle(730, 555, 270, 19));
        this.add(contLastUpdateTime, null);
        contNumber.setBounds(new Rectangle(728, 26, 270, 19));
        this.add(contNumber, null);
        contBizDate.setBounds(new Rectangle(350, 66, 270, 19));
        this.add(contBizDate, null);
        contDescription.setBounds(new Rectangle(728, 66, 270, 19));
        this.add(contDescription, null);
        contAuditor.setBounds(new Rectangle(15, 528, 270, 19));
        this.add(contAuditor, null);
        conttime.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(conttime, null);
        contcount.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contcount, null);
        contsuccessNum.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsuccessNum, null);
        contfailNum.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contfailNum, null);
        contperson.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contperson, null);
        contreserved1.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contreserved1, null);
        contreserved2.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contreserved2, null);
        contstatus.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contstatus, null);
        chkisVaild.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chkisVaild, null);
        conturldir.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(conturldir, null);
        contrequestParams.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contrequestParams, null);
        contresult.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contresult, null);
        contfileName.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contfileName, null);
        conturlPath.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(conturlPath, null);
        contbillNo.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contbillNo, null);
        contnCell.setBounds(new Rectangle(245, 142, 270, 19));
        this.add(contnCell, null);
        //contCreator
        contCreator.setBoundEditor(prmtCreator);
        //contCreateTime
        contCreateTime.setBoundEditor(kDDateCreateTime);
        //contLastUpdateUser
        contLastUpdateUser.setBoundEditor(prmtLastUpdateUser);
        //contLastUpdateTime
        contLastUpdateTime.setBoundEditor(kDDateLastUpdateTime);
        //contNumber
        contNumber.setBoundEditor(txtNumber);
        //contBizDate
        contBizDate.setBoundEditor(pkBizDate);
        //contDescription
        contDescription.setBoundEditor(txtDescription);
        //contAuditor
        contAuditor.setBoundEditor(prmtAuditor);
        //conttime
        conttime.setBoundEditor(pktime);
        //contcount
        contcount.setBoundEditor(txtcount);
        //contsuccessNum
        contsuccessNum.setBoundEditor(txtsuccessNum);
        //contfailNum
        contfailNum.setBoundEditor(txtfailNum);
        //contperson
        contperson.setBoundEditor(prmtperson);
        //contreserved1
        contreserved1.setBoundEditor(txtreserved1);
        //contreserved2
        contreserved2.setBoundEditor(txtreserved2);
        //contstatus
        contstatus.setBoundEditor(status);
        //conturldir
        conturldir.setBoundEditor(txturldir);
        //contrequestParams
        contrequestParams.setBoundEditor(scrollPanerequestParams);
        //scrollPanerequestParams
        scrollPanerequestParams.getViewport().add(txtrequestParams, null);
        //contresult
        contresult.setBoundEditor(scrollPaneresult);
        //scrollPaneresult
        scrollPaneresult.getViewport().add(txtresult, null);
        //contfileName
        contfileName.setBoundEditor(scrollPanefileName);
        //scrollPanefileName
        scrollPanefileName.getViewport().add(txtfileName, null);
        //conturlPath
        conturlPath.setBoundEditor(scrollPaneurlPath);
        //scrollPaneurlPath
        scrollPaneurlPath.getViewport().add(txturlPath, null);
        //contbillNo
        contbillNo.setBoundEditor(txtbillNo);
        //contnCell
        contnCell.setBoundEditor(txtnCell);

    }


    /**
     * output initUIMenuBarLayout method
     */
    public void initUIMenuBarLayout()
    {
        this.menuBar.add(menuFile);
        this.menuBar.add(menuEdit);
        this.menuBar.add(MenuService);
        this.menuBar.add(menuView);
        this.menuBar.add(menuBiz);
        this.menuBar.add(menuTable1);
        this.menuBar.add(menuTool);
        this.menuBar.add(menuWorkflow);
        this.menuBar.add(menuHelp);
        //menuFile
        menuFile.add(menuItemAddNew);
        menuFile.add(kDSeparator1);
        menuFile.add(menuItemCloudFeed);
        menuFile.add(menuItemSave);
        menuFile.add(menuItemCloudScreen);
        menuFile.add(menuItemSubmit);
        menuFile.add(menuItemCloudShare);
        menuFile.add(menuSubmitOption);
        menuFile.add(kdSeparatorFWFile1);
        menuFile.add(rMenuItemSubmit);
        menuFile.add(rMenuItemSubmitAndAddNew);
        menuFile.add(rMenuItemSubmitAndPrint);
        menuFile.add(separatorFile1);
        menuFile.add(MenuItemAttachment);
        menuFile.add(kDSeparator2);
        menuFile.add(menuItemPageSetup);
        menuFile.add(menuItemPrint);
        menuFile.add(menuItemPrintPreview);
        menuFile.add(kDSeparator6);
        menuFile.add(menuItemSendMail);
        menuFile.add(kDSeparator3);
        menuFile.add(menuItemExitCurrent);
        //menuSubmitOption
        menuSubmitOption.add(chkMenuItemSubmitAndAddNew);
        menuSubmitOption.add(chkMenuItemSubmitAndPrint);
        //menuEdit
        menuEdit.add(menuItemCopy);
        menuEdit.add(menuItemEdit);
        menuEdit.add(menuItemRemove);
        menuEdit.add(kDSeparator4);
        menuEdit.add(menuItemReset);
        menuEdit.add(separator1);
        menuEdit.add(menuItemCreateFrom);
        menuEdit.add(menuItemCreateTo);
        menuEdit.add(menuItemCopyFrom);
        menuEdit.add(separatorEdit1);
        menuEdit.add(menuItemEnterToNextRow);
        menuEdit.add(separator2);
        //MenuService
        MenuService.add(MenuItemKnowStore);
        MenuService.add(MenuItemAnwser);
        MenuService.add(SepratorService);
        MenuService.add(MenuItemRemoteAssist);
        //menuView
        menuView.add(menuItemFirst);
        menuView.add(menuItemPre);
        menuView.add(menuItemNext);
        menuView.add(menuItemLast);
        menuView.add(separator3);
        menuView.add(menuItemTraceUp);
        menuView.add(menuItemTraceDown);
        menuView.add(kDSeparator7);
        menuView.add(menuItemLocate);
        //menuBiz
        menuBiz.add(menuItemCancelCancel);
        menuBiz.add(menuItemCancel);
        menuBiz.add(MenuItemVoucher);
        menuBiz.add(menuItemDelVoucher);
        menuBiz.add(MenuItemPCVoucher);
        menuBiz.add(menuItemDelPCVoucher);
        //menuTable1
        menuTable1.add(menuItemAddLine);
        menuTable1.add(menuItemCopyLine);
        menuTable1.add(menuItemInsertLine);
        menuTable1.add(menuItemRemoveLine);
        //menuTool
        menuTool.add(menuItemSendMessage);
        menuTool.add(menuItemMsgFormat);
        menuTool.add(menuItemCalculator);
        menuTool.add(menuItemToolBarCustom);
        //menuWorkflow
        menuWorkflow.add(menuItemStartWorkFlow);
        menuWorkflow.add(separatorWF1);
        menuWorkflow.add(menuItemViewSubmitProccess);
        menuWorkflow.add(menuItemViewDoProccess);
        menuWorkflow.add(MenuItemWFG);
        menuWorkflow.add(menuItemWorkFlowList);
        menuWorkflow.add(separatorWF2);
        menuWorkflow.add(menuItemMultiapprove);
        menuWorkflow.add(menuItemNextPerson);
        menuWorkflow.add(menuItemAuditResult);
        menuWorkflow.add(kDSeparator5);
        menuWorkflow.add(kDMenuItemSendMessage);
        //menuHelp
        menuHelp.add(menuItemHelp);
        menuHelp.add(kDSeparator12);
        menuHelp.add(menuItemRegPro);
        menuHelp.add(menuItemPersonalSite);
        menuHelp.add(helpseparatorDiv);
        menuHelp.add(menuitemProductval);
        menuHelp.add(kDSeparatorProduct);
        menuHelp.add(menuItemAbout);

    }

    /**
     * output initUIToolBarLayout method
     */
    public void initUIToolBarLayout()
    {
        this.toolBar.add(btnAddNew);
        this.toolBar.add(btnCloud);
        this.toolBar.add(btnEdit);
        this.toolBar.add(btnXunTong);
        this.toolBar.add(btnSave);
        this.toolBar.add(kDSeparatorCloud);
        this.toolBar.add(btnReset);
        this.toolBar.add(btnSubmit);
        this.toolBar.add(btnCopy);
        this.toolBar.add(btnRemove);
        this.toolBar.add(btnCancelCancel);
        this.toolBar.add(btnCancel);
        this.toolBar.add(btnAttachment);
        this.toolBar.add(separatorFW1);
        this.toolBar.add(btnPageSetup);
        this.toolBar.add(btnPrint);
        this.toolBar.add(btnPrintPreview);
        this.toolBar.add(separatorFW2);
        this.toolBar.add(btnFirst);
        this.toolBar.add(btnPre);
        this.toolBar.add(btnNext);
        this.toolBar.add(btnLast);
        this.toolBar.add(separatorFW3);
        this.toolBar.add(btnTraceUp);
        this.toolBar.add(btnTraceDown);
        this.toolBar.add(btnWorkFlowG);
        this.toolBar.add(btnSignature);
        this.toolBar.add(btnViewSignature);
        this.toolBar.add(separatorFW4);
        this.toolBar.add(btnNumberSign);
        this.toolBar.add(separatorFW7);
        this.toolBar.add(btnCreateFrom);
        this.toolBar.add(btnCopyFrom);
        this.toolBar.add(btnCreateTo);
        this.toolBar.add(separatorFW5);
        this.toolBar.add(separatorFW8);
        this.toolBar.add(btnAddLine);
        this.toolBar.add(btnCopyLine);
        this.toolBar.add(btnInsertLine);
        this.toolBar.add(btnRemoveLine);
        this.toolBar.add(separatorFW6);
        this.toolBar.add(separatorFW9);
        this.toolBar.add(btnVoucher);
        this.toolBar.add(btnDelVoucher);
        this.toolBar.add(btnPCVoucher);
        this.toolBar.add(btnDelPCVoucher);
        this.toolBar.add(btnAuditResult);
        this.toolBar.add(btnMultiapprove);
        this.toolBar.add(btnWFViewdoProccess);
        this.toolBar.add(btnWFViewSubmitProccess);
        this.toolBar.add(btnNextPerson);


    }

	//Regiester control's property binding.
	private void registerBindings(){
		dataBinder.registerBinding("isVaild", boolean.class, this.chkisVaild, "selected");
		dataBinder.registerBinding("creator", com.kingdee.eas.base.permission.UserInfo.class, this.prmtCreator, "data");
		dataBinder.registerBinding("createTime", java.sql.Timestamp.class, this.kDDateCreateTime, "value");
		dataBinder.registerBinding("lastUpdateUser", com.kingdee.eas.base.permission.UserInfo.class, this.prmtLastUpdateUser, "data");
		dataBinder.registerBinding("lastUpdateTime", java.sql.Timestamp.class, this.kDDateLastUpdateTime, "value");
		dataBinder.registerBinding("number", String.class, this.txtNumber, "text");
		dataBinder.registerBinding("bizDate", java.util.Date.class, this.pkBizDate, "value");
		dataBinder.registerBinding("description", String.class, this.txtDescription, "text");
		dataBinder.registerBinding("auditor", com.kingdee.eas.base.permission.UserInfo.class, this.prmtAuditor, "data");
		dataBinder.registerBinding("time", java.util.Date.class, this.pktime, "value");
		dataBinder.registerBinding("count", int.class, this.txtcount, "value");
		dataBinder.registerBinding("successNum", int.class, this.txtsuccessNum, "value");
		dataBinder.registerBinding("failNum", int.class, this.txtfailNum, "value");
		dataBinder.registerBinding("person", com.kingdee.eas.basedata.person.PersonInfo.class, this.prmtperson, "data");
		dataBinder.registerBinding("reserved1", String.class, this.txtreserved1, "text");
		dataBinder.registerBinding("reserved2", String.class, this.txtreserved2, "text");
		dataBinder.registerBinding("status", com.kingdee.eas.custom.logs.app.SendStatusEnum.class, this.status, "selectedItem");
		dataBinder.registerBinding("urldir", String.class, this.txturldir, "text");
		dataBinder.registerBinding("requestParams", String.class, this.txtrequestParams, "text");
		dataBinder.registerBinding("result", String.class, this.txtresult, "text");
		dataBinder.registerBinding("fileName", String.class, this.txtfileName, "text");
		dataBinder.registerBinding("urlPath", String.class, this.txturlPath, "text");
		dataBinder.registerBinding("billNo", String.class, this.txtbillNo, "text");
		dataBinder.registerBinding("nCell", String.class, this.txtnCell, "text");		
	}
	//Regiester UI State
	private void registerUIState(){		
	}
	public String getUIHandlerClassName() {
	    return "com.kingdee.eas.custom.logs.app.MessageLogsEditUIHandler";
	}
	public IUIActionPostman prepareInit() {
		IUIActionPostman clientHanlder = super.prepareInit();
		if (clientHanlder != null) {
			RequestContext request = new RequestContext();
    		request.setClassName(getUIHandlerClassName());
			clientHanlder.setRequestContext(request);
		}
		return clientHanlder;
    }
	
	public boolean isPrepareInit() {
    	return false;
    }
    protected void initUIP() {
        super.initUIP();
    }


    /**
     * output onShow method
     */
    public void onShow() throws Exception
    {
        super.onShow();
        this.pktime.requestFocusInWindow();
    }

	
	

    /**
     * output setDataObject method
     */
    public void setDataObject(IObjectValue dataObject)
    {
        IObjectValue ov = dataObject;        	    	
        super.setDataObject(ov);
        this.editData = (com.kingdee.eas.custom.logs.MessageLogsInfo)ov;
    }
    protected void removeByPK(IObjectPK pk) throws Exception {
    	IObjectValue editData = this.editData;
    	super.removeByPK(pk);
    	recycleNumberByOrg(editData,"NONE",editData.getString("number"));
    }
    
    protected void recycleNumberByOrg(IObjectValue editData,String orgType,String number) {
        if (!StringUtils.isEmpty(number))
        {
            try {
            	String companyID = null;            
            	com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID =com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}				
				if (!StringUtils.isEmpty(companyID) && iCodingRuleManager.isExist(editData, companyID) && iCodingRuleManager.isUseIntermitNumber(editData, companyID)) {
					iCodingRuleManager.recycleNumber(editData,companyID,number);					
				}
            }
            catch (Exception e)
            {
                handUIException(e);
            }
        }
    }
    protected void setAutoNumberByOrg(String orgType) {
    	if (editData == null) return;
		if (editData.getNumber() == null) {
            try {
            	String companyID = null;
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID = com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}
				com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
		        if (iCodingRuleManager.isExist(editData, companyID)) {
		            if (iCodingRuleManager.isAddView(editData, companyID)) {
		            	editData.setNumber(iCodingRuleManager.getNumber(editData,companyID));
		            }
	                txtNumber.setEnabled(false);
		        }
            }
            catch (Exception e) {
                handUIException(e);
                this.oldData = editData;
                com.kingdee.eas.util.SysUtil.abort();
            } 
        } 
        else {
            if (editData.getNumber().trim().length() > 0) {
                txtNumber.setText(editData.getNumber());
            }
        }
    }

    /**
     * output loadFields method
     */
    public void loadFields()
    {
        		setAutoNumberByOrg("NONE");
        dataBinder.loadFields();
    }
		protected void setOrgF7(KDBizPromptBox f7,com.kingdee.eas.basedata.org.OrgType orgType) throws Exception
		{
			com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer oufip = new com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer(orgType);
			oufip.getModel().setIsCUFilter(true);
			f7.setFilterInfoProducer(oufip);
		}

    /**
     * output storeFields method
     */
    public void storeFields()
    {
		dataBinder.storeFields();
    }

	/**
	 * ??????????
	 */
	protected void registerValidator() {
    	getValidateHelper().setCustomValidator( getValidator() );
		getValidateHelper().registerBindProperty("isVaild", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("creator", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("createTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateUser", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("number", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bizDate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("description", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("auditor", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("time", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("count", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("successNum", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("failNum", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("person", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("reserved1", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("reserved2", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("status", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("urldir", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("requestParams", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("result", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("fileName", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("urlPath", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("billNo", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("nCell", ValidateHelper.ON_SAVE);    		
	}



    /**
     * output setOprtState method
     */
    public void setOprtState(String oprtType)
    {
        super.setOprtState(oprtType);
        if (STATUS_ADDNEW.equals(this.oprtState)) {
        } else if (STATUS_EDIT.equals(this.oprtState)) {
        } else if (STATUS_VIEW.equals(this.oprtState)) {
        } else if (STATUS_FINDVIEW.equals(this.oprtState)) {
        }
    }

    /**
     * output getSelectors method
     */
    public SelectorItemCollection getSelectors()
    {
        SelectorItemCollection sic = new SelectorItemCollection();
		String selectorAll = System.getProperty("selector.all");
		if(StringUtils.isEmpty(selectorAll)){
			selectorAll = "true";
		}
        sic.add(new SelectorItemInfo("isVaild"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("creator.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("creator.id"));
        	sic.add(new SelectorItemInfo("creator.number"));
        	sic.add(new SelectorItemInfo("creator.name"));
		}
        sic.add(new SelectorItemInfo("createTime"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("lastUpdateUser.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("lastUpdateUser.id"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.number"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.name"));
		}
        sic.add(new SelectorItemInfo("lastUpdateTime"));
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("bizDate"));
        sic.add(new SelectorItemInfo("description"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("auditor.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("auditor.id"));
        	sic.add(new SelectorItemInfo("auditor.number"));
        	sic.add(new SelectorItemInfo("auditor.name"));
		}
        sic.add(new SelectorItemInfo("time"));
        sic.add(new SelectorItemInfo("count"));
        sic.add(new SelectorItemInfo("successNum"));
        sic.add(new SelectorItemInfo("failNum"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("person.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("person.id"));
        	sic.add(new SelectorItemInfo("person.number"));
        	sic.add(new SelectorItemInfo("person.name"));
		}
        sic.add(new SelectorItemInfo("reserved1"));
        sic.add(new SelectorItemInfo("reserved2"));
        sic.add(new SelectorItemInfo("status"));
        sic.add(new SelectorItemInfo("urldir"));
        sic.add(new SelectorItemInfo("requestParams"));
        sic.add(new SelectorItemInfo("result"));
        sic.add(new SelectorItemInfo("fileName"));
        sic.add(new SelectorItemInfo("urlPath"));
        sic.add(new SelectorItemInfo("billNo"));
        sic.add(new SelectorItemInfo("nCell"));
        return sic;
    }        
    	

    /**
     * output actionSubmit_actionPerformed method
     */
    public void actionSubmit_actionPerformed(ActionEvent e) throws Exception
    {
        super.actionSubmit_actionPerformed(e);
    }
    	

    /**
     * output actionPrint_actionPerformed method
     */
    public void actionPrint_actionPerformed(ActionEvent e) throws Exception
    {
        ArrayList idList = new ArrayList();
    	if (editData != null && !StringUtils.isEmpty(editData.getString("id"))) {
    		idList.add(editData.getString("id"));
    	}
        if (idList == null || idList.size() == 0 || getTDQueryPK() == null || getTDFileName() == null)
            return;
        com.kingdee.bos.ctrl.kdf.data.impl.BOSQueryDelegate data = new com.kingdee.eas.framework.util.CommonDataProvider(idList,getTDQueryPK());
        com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper appHlp = new com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper();
        appHlp.print(getTDFileName(), data, javax.swing.SwingUtilities.getWindowAncestor(this));
    }
    	

    /**
     * output actionPrintPreview_actionPerformed method
     */
    public void actionPrintPreview_actionPerformed(ActionEvent e) throws Exception
    {
        ArrayList idList = new ArrayList();
        if (editData != null && !StringUtils.isEmpty(editData.getString("id"))) {
    		idList.add(editData.getString("id"));
    	}
        if (idList == null || idList.size() == 0 || getTDQueryPK() == null || getTDFileName() == null)
            return;
        com.kingdee.bos.ctrl.kdf.data.impl.BOSQueryDelegate data = new com.kingdee.eas.framework.util.CommonDataProvider(idList,getTDQueryPK());
        com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper appHlp = new com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper();
        appHlp.printPreview(getTDFileName(), data, javax.swing.SwingUtilities.getWindowAncestor(this));
    }
	public RequestContext prepareActionSubmit(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionSubmit(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionSubmit() {
    	return false;
    }
	public RequestContext prepareActionPrint(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionPrint(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionPrint() {
    	return false;
    }
	public RequestContext prepareActionPrintPreview(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionPrintPreview(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionPrintPreview() {
    	return false;
    }

    /**
     * output getMetaDataPK method
     */
    public IMetaDataPK getMetaDataPK()
    {
        return new MetaDataPK("com.kingdee.eas.custom.logs.client", "MessageLogsEditUI");
    }
    /**
     * output isBindWorkFlow method
     */
    public boolean isBindWorkFlow()
    {
        return true;
    }

    /**
     * output getEditUIName method
     */
    protected String getEditUIName()
    {
        return com.kingdee.eas.custom.logs.client.MessageLogsEditUI.class.getName();
    }

    /**
     * output getBizInterface method
     */
    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
        return com.kingdee.eas.custom.logs.MessageLogsFactory.getRemoteInstance();
    }

    /**
     * output createNewData method
     */
    protected IObjectValue createNewData()
    {
        com.kingdee.eas.custom.logs.MessageLogsInfo objectValue = new com.kingdee.eas.custom.logs.MessageLogsInfo();
        objectValue.setCreator((com.kingdee.eas.base.permission.UserInfo)(com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentUser()));		
        return objectValue;
    }


    	protected String getTDFileName() {
    	return "/bim/custom/logs/MessageLogs";
	}
    protected IMetaDataPK getTDQueryPK() {
    	return new MetaDataPK("com.kingdee.eas.custom.logs.app.MessageLogsQuery");
	}
    

    /**
     * output getDetailTable method
     */
    protected KDTable getDetailTable() {        
        return null;
	}
    /**
     * output applyDefaultValue method
     */
    protected void applyDefaultValue(IObjectValue vo) {        
		vo.put("status","1");
        
    }        
	protected void setFieldsNull(com.kingdee.bos.dao.AbstractObjectValue arg0) {
		super.setFieldsNull(arg0);
		arg0.put("number",null);
	}

}