package com.kingdee.eas.custom.sendmessage.utils;

import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.sendmessage.utils.impl.ElectronicProofTemplate;
import com.kingdee.eas.custom.sendmessage.utils.impl.ResignationNoticeTemplate;
import com.kingdee.util.StringUtils;
import org.apache.log4j.Logger;

import java.util.Properties;

/**
 * ģù;
 * 202411
 * @author coyle
 * ģڴ,ʵTemplateStrategyӿһģ;
 */
public class TemplateStrategyFactory {

    private static Logger logger = Logger.getLogger(TemplateStrategyFactory.class);
    private static Properties propt  ;


    public static TemplateStrategy getTemplateStrategy(String templateId) throws BOSException {
        if (templateId == null || templateId.isEmpty()) {
            throw new IllegalArgumentException("Template ID cannot ģidû");
        }
        try {
            Properties propt = GetMessageConfig.getProp();
            logger.error("ģidΪ:" + templateId);
            if (StringUtils.equals(templateId, StringUtils.cnulls(propt.getProperty("proofTemp")))) {
                return new ElectronicProofTemplate();
            } else if (StringUtils.equals(templateId, StringUtils.cnulls(propt.getProperty("resignTemp")))) {
                return new ResignationNoticeTemplate();
            } else {
                throw new IllegalArgumentException("Invalid template ID: " + templateId);
            }
        } catch (Exception e) {
            logger.error("ȡģʱ: ", e);
            throw new BOSException("ȡģʧ: " + e.getMessage(), e);
        }
    }

}
