package com.kingdee.eas.custom.sendmessage.handler;


import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.sendmessage.utils.SendMessageUtils;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.empCertification.web.handler.ResignCertificationBillHRListHandler;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author qingwu
 * @date 2024/11/13
 * @apiNote 员工离职证明办理列表
 */
public class ResignCertificationBillHRListHandlerEx extends ResignCertificationBillHRListHandler {
    Context ctx = SHRContext.getInstance().getContext();

    /**
     * 发送消息
     *
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     */
    public void sendMessageAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws SHRWebException, BOSException, EASBizException {
        String billId = this.getBillId(request);
        SendMessageUtils.sendMessage(ctx, billId);
    }


}
